Skip to main content
PATCH
TypeScript SDK

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

folderId
string<uuid>
required

Body

application/json
name
string

Folder name shown in the sidebar.

Required string length: 1 - 100
color
enum<string>

Folder icon color, from the same palette as project icons.

Available options:
neutral,
red,
orange,
yellow,
green,
teal,
blue,
purple,
pink
placement
object

Where to put this folder in your sidebar folder list. Pinned folders are ordered with updatePin instead.

addSession
object

Session to put in this folder, taking it out of any other folder of yours, or to reorder within it.

removeSession
object

Session to take out of this folder.

Response

Update a folder

id
string<uuid>
required
name
string
required
color
enum<string>
required

Folder icon color, from the same palette as project icons.

Available options:
neutral,
red,
orange,
yellow,
green,
teal,
blue,
purple,
pink
createdAt
string<date-time>
required
updatedAt
string<date-time>
required